GetPlatform() {
uname -s | tr "[A-Z]" "[a-z]"
}

GetPath() {
case `GetPlatform` in
	*freebsd*)
	    prefix="/usr/local/libexec/drweb.com"
	    confdir="/usr/local/etc/drweb.com"
	;;
	*)
	    prefix="/opt/drweb.com"
	    confdir="/etc/opt/drweb.com"
	;;
esac
case "$1" in
	softwaredir)
	    echo "$confdir/software"
	;;
	prefix)
	    echo "$prefix"
	;;
	bindir)
	    echo "$prefix/bin"
	;;
	confdir)
	    echo "$confdir"
	;;
esac
}

SOFTWAREDIR="`GetPath softwaredir`"
PREFIX="`GetPath prefix`"
BINDIR="`GetPath bindir`"
CONFDIR="`GetPath confdir`"
